Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.DRMEncryptData Class Reference

## Public Member Functions
| constructor (is_encrypt_metadata, sub_filter, cipher, key_length, is_owner, user_permissions)
| Constructor, with parameters. More...
| constructor ()
| Constructor.
| Set (is_encrypt_metadata, sub_filter, cipher, key_length, is_owner, user_permissions)
| Set value. More...

## Public Attributes
| cipher
| Cipher type. Please refer to values starting from FSDK.SecurityHandler.e_CipherRC4 and this should be one of these values except FSDK.SecurityHandler.e_CipherNone.
| is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| is_owner
| A boolean value to decide whether current user is owner or not. true means current user is owner, and false means current user is not owner.
| key_length
| The key length, in bytes. For FSDK.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For FSDK.SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.
| sub_filter
| The sub filter name that specifies the syntax of the encryption dictionary contents.
| user_permissions
| The user permissions. Please refer to values starting from FSDK.PDFDoc.e_PermPrint and this can be one or combination of these values.

## Detailed Description

This class represents some data used for class FSDK.DRMSecurityHandler.

## Member Function Documentation

## ◆ constructor()

FSDK.DRMEncryptData.constructor | ( | is_encrypt_metadata | ,
|  | sub_filter | ,
|  | cipher | ,
|  | key_length | ,
|  | is_owner | ,
|  | user_permissions |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.
  [in] | cipher | Cipher type. Please refer to values starting from FSDK.SecurityHandler.e_CipherRC4 and this should be one of these values except FSDK.SecurityHandler.e_CipherNone.
  [in] | key_length | The key length, in bytes. For FSDK.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For FSDK.SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.
  [in] | is_owner | true means current user is owner, and false means current user is not owner.
  [in] | user_permissions | The user permissions. Please refer to values starting from FSDK.PDFDoc.e_PermPrint and this can be one or combination of these values.

## ◆ Set()

FSDK.DRMEncryptData.Set | ( | is_encrypt_metadata | ,
|  | sub_filter | ,
|  | cipher | ,
|  | key_length | ,
|  | is_owner | ,
|  | user_permissions |
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.
  [in] | cipher | Cipher type. Please refer to values starting from FSDK.SecurityHandler.e_CipherRC4 and this should be one of these values except FSDK.SecurityHandler.e_CipherNone.
  [in] | key_length | The key length, in bytes. For FSDK.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For FSDK.SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.
  [in] | is_owner | true means current user is owner, and false means current user is not owner.
  [in] | user_permissions | The user permissions. Please refer to values starting from FSDK.PDFDoc.e_PermPrint and this can be one or combination of these values.

Returns
  None.